Bug 51023 - Options during install are not taking effect upon reboot
Options during install are not taking effect upon reboot
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
roswell
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-06 13:55 EDT by Need Real Name
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-14 09:59:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-08-06 13:55:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
I believe Xconfigurator is the component running during the install when 
being asked questions about the Graphical environment to use.  I choose 
KDE (No offense to Gnome users) and I also selected text login.  My 
interpretation of this was that when the machine rebooted, I would be 
given a normal command line login (runlevel 3) and if I started X, I would 
be presented with the KDE desktop.  instead, when I rebooted the machine, 
the system started up in runlevel 5, and I saw Gnome as my desktop, not 
KDE.

How reproducible:
Always

Steps to Reproduce:
1. Use the beta installer to install the OS.
2. Select Everything to install.
3. When prompted by the text screen to select your desktop of choice, 
select KDE.
4. Select the option for text based login, not graphical.
5. Finish install and reboot the machine.
6. Note the login on the screen is now KDM, instead of command line.
	

Actual Results:  Systems boots up to KDM screen in runlevel 5.  After 
logging in, the system is running Gnome, not KDE.  I've done the install 3 
separate times.  I've gotten the same results each time.  My graphics card 
is an ATI Rage XL with 8 MB of RAM and I'm using a Relion 120 rackmount 
server from Penguin Computing.

Expected Results:  I expected to be at a command line login (run level 3) 
and when I started X, have it come up to KDE.

Additional info:

During the configuration of my card, the installer properly detects that 
my card is an ATI Rage XL card.  However, it does not autodetect the 
amount of memeory on the card - It asks me to enter that information 
myself.  Not sure if this is the default behavior moving forawrd, but in 
prior releases, it never detected the memory correctly.  The installer 
chose 1280 x 1024 at 16-bits, I assume based on the fact I put in 8 MB for 
the card.  A reboot of the machine, has the screens come up in what 
appears to be 640 x 480 mode, or lower, with huge windows and icons, and I 
do not see anything on the bootm of the screen.  I assume that these are 
also further down, but unreachable.
Comment 1 Glen Foster 2001-08-06 18:57:09 EDT
We (Red Hat) really need to fix this defect before next release.
Comment 2 Michael Fulbright 2001-08-14 11:17:38 EDT
Fixed.

Note You need to log in before you can comment on or make changes to this bug.